# SIPBye Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPBye:

[legend]
Collaboration diagram for SIPBye:
[legend]

## Public Member Functions

| SIPBye (SIPEndPoint &endpoint, SIPDialogContext &dialog)
| SIPBye (SIPConnection &conn)
virtual SIPTransaction * | CreateDuplicate () const

## Constructor & Destructor Documentation

SIPBye::SIPBye | ( | SIPEndPoint & | endpoint,
|  | SIPDialogContext & | dialog |
| ) |  |  |

SIPBye::SIPBye | ( | SIPConnection & | conn | ) |

## Member Function Documentation

virtual SIPTransaction* SIPBye::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

The documentation for this class was generated from the following file:

- sippdu.h